.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the VisualScriptMathConstant.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_VisualScriptMathConstant:

VisualScriptMathConstant
========================

**Inherits:** :ref:`VisualScriptNode<class_visualscriptnode>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------



Member Functions
----------------

+------------------------+----------------------------------------------------------------------------------------------------------------------+
| :ref:`int<class_int>`  | :ref:`get_math_constant<class_VisualScriptMathConstant_get_math_constant>`  **(** **)**                              |
+------------------------+----------------------------------------------------------------------------------------------------------------------+
| void                   | :ref:`set_math_constant<class_VisualScriptMathConstant_set_math_constant>`  **(** :ref:`int<class_int>` which  **)** |
+------------------------+----------------------------------------------------------------------------------------------------------------------+

Member Variables
----------------

- :ref:`int<class_int>` **constant**

Numeric Constants
-----------------

- **MATH_CONSTANT_ONE** = **0**
- **MATH_CONSTANT_PI** = **1**
- **MATH_CONSTANT_2PI** = **2**
- **MATH_CONSTANT_HALF_PI** = **3**
- **MATH_CONSTANT_E** = **4**
- **MATH_CONSTANT_SQRT2** = **5**
- **MATH_CONSTANT_INF** = **6**
- **MATH_CONSTANT_NAN** = **7**
- **MATH_CONSTANT_MAX** = **8**

Member Function Description
---------------------------

.. _class_VisualScriptMathConstant_get_math_constant:

- :ref:`int<class_int>`  **get_math_constant**  **(** **)**

.. _class_VisualScriptMathConstant_set_math_constant:

- void  **set_math_constant**  **(** :ref:`int<class_int>` which  **)**


